Update Query Config

Update Query Config
Update query config

Update query config

Request
URI
PUT
https://{api_host}/suite-api/api/logs/queryconfigs
COPY
Request Body

Logs Query Config

LogsQueryConfig of type(s) application/json
Required

Show optional properties

{
    "dateRange": {},
    "name": "string",
    "queryText": [
        {}
    ]
}
"{\n  \"name\" : \"LI Config Name\",\n  \"description\" : \"LI Config Description\",\n  \"queryFilters\" : {\n    \"logQueryFiltersOperator\" : \"AND\",\n    \"partitions\" : [ ],\n    \"logQueryFilterConditions\" : [ {\n      \"conditionField\" : \"485a194b-63e7-4fb1-9686-8a930989799d\",\n      \"conditionValues\" : [ \"31c9b841-f966-4d78-aca1-410530e48c40\", \"9185662b-b4ab-4d09-935f-154dba463704\" ],\n      \"queryFilterConditionOperatorType\" : \"CONTAINS\"\n    }, {\n      \"conditionField\" : \"485a194b-63e7-4fb1-9686-8a930989799d\",\n      \"conditionValues\" : [ \"31c9b841-f966-4d78-aca1-410530e48c40\", \"9185662b-b4ab-4d09-935f-154dba463704\" ],\n      \"queryFilterConditionOperatorType\" : \"CONTAINS\"\n    } ]\n  },\n  \"queryText\" : [ \"text-1\", \"text-2\" ],\n  \"dateRange\" : {\n    \"fixedRange\" : \"LAST_7_DAYS\"\n  }\n}"
object
dateRange
Required

Logs query date range. Either both startTime and endTime should be null with a non-null fixedRange, or both startTime and endTime should be non-null with startTime less than endTime and fixedRange null.

string
description
Optional

Description of Query Configuration.

string As uuid As uuid
id
Optional

Identifier of Query Configuration.

integer As int64 As int64
lastModifiedTime
Optional

Last modified time of Query Configuration.

string
modifiedBy
Optional

Username of the last user who modified it.

string
name
Required

Name of Query Configuration.

object
queryFilters
Optional

Log query filters.

array of string
queryText
Required
Constraints: minItems: 1

Texts for Query Configuration.

Authentication
This operation uses the following authentication methods.
Responses
200

Query config is updated successfully

Returns LogsQueryConfig of type(s) application/json
"{\n  \"id\" : \"09225bd3-6f56-4ea2-8bc3-a91a3b295b39\",\n  \"name\" : \"LI Config Name\",\n  \"description\" : \"LI Config Description\",\n  \"queryFilters\" : {\n    \"logQueryFiltersOperator\" : \"AND\",\n    \"partitions\" : [ ],\n    \"logQueryFilterConditions\" : [ {\n      \"conditionField\" : \"485a194b-63e7-4fb1-9686-8a930989799d\",\n      \"conditionValues\" : [ \"31c9b841-f966-4d78-aca1-410530e48c40\", \"9185662b-b4ab-4d09-935f-154dba463704\" ],\n      \"queryFilterConditionOperatorType\" : \"CONTAINS\"\n    }, {\n      \"conditionField\" : \"485a194b-63e7-4fb1-9686-8a930989799d\",\n      \"conditionValues\" : [ \"31c9b841-f966-4d78-aca1-410530e48c40\", \"9185662b-b4ab-4d09-935f-154dba463704\" ],\n      \"queryFilterConditionOperatorType\" : \"CONTAINS\"\n    } ]\n  },\n  \"queryText\" : [ \"text-1\", \"text-2\" ],\n  \"dateRange\" : {\n    \"fixedRange\" : \"LAST_7_DAYS\"\n  },\n  \"lastModifiedTime\" : 1753340214470,\n  \"modifiedBy\" : \"admin\"\n}"
object
dateRange
Required

Logs query date range. Either both startTime and endTime should be null with a non-null fixedRange, or both startTime and endTime should be non-null with startTime less than endTime and fixedRange null.

string
description
Optional

Description of Query Configuration.

string As uuid As uuid
id
Optional

Identifier of Query Configuration.

integer As int64 As int64
lastModifiedTime
Optional

Last modified time of Query Configuration.

string
modifiedBy
Optional

Username of the last user who modified it.

string
name
Required

Name of Query Configuration.

object
queryFilters
Optional

Log query filters.

array of string
queryText
Required
Constraints: minItems: 1

Texts for Query Configuration.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"dateRange":"object","name":"string","queryText":["string"]}' https://{api_host}/suite-api/api/logs/queryconfigs